Name:           python-pyiqa
Version:        0.1.14
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        PyTorch Toolbox for Image Quality Assessment

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/chaofengc/IQA-PyTorch
Source:         %{pypi_source pyiqa}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyiqa' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyiqa
Summary:        %{summary}

%description -n python3-pyiqa %_description


%prep
%autosetup -p1 -n pyiqa-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyiqa -f %{pyproject_files}


%changelog
%autochangelog